petsc-3.4.2 2013-07-02

# PetscTokenCreate

Creates a PetscToken used to find tokens in a string

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscTokenCreate(const char a[],const char b,PetscToken *t)

Not Collective

### Input Parameters

| string | - the string to look in
| token | - the character to look for

### Output Parameter

a -pointer to token

### Notes

This version is different from the system version in that it allows you to pass a read-only string into the function.

Not for use in Fortran

### See Also

PetscTokenFind(), PetscTokenDestroy()

Level:intermediate
Location:src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages